<!--
  ~ Copyright (c) 2020. Joey Mizrahi
  -->

<!DOCTYPE html>
<!--suppress JSUnresolvedLibraryURL -->
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <title>JAVA - WEB Final Targil :( </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" media="all"  href="../static/css/login.css" th:href="@{/css/login.css}" />
</head>
<body style="background-color:#D6D7D4; zoom: 130%">

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div  class="navbar-nav">
        <img src="../static/Images/githubkitty.png" th:src="@{/Images/githubkitty.png}" alt = "IMG" height="30" width="30" style="margin-top:2% ">
    </div>
</nav>
<br>
<div class="container login-form">
    <form  th:action="@{/login}" th:object="${loginForm}" method="post">
        <h2 class="text-center">Log in</h2>
        <div class="form-group">
            <input type="text" class="form-control" placeholder="username" th:field="*{username}">
            <span th:if="${#fields.hasErrors('username')}" th:errors="*{username}" class="text-danger"></span>
        </div>
        <div class="form-group">
            <input type="password" class="form-control" placeholder="password" th:field="*{password}">
            <span th:if="${#fields.hasErrors('password')}" th:errors="*{password}" class="text-danger"></span>
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-primary btn-block">Log in</button>
        </div>
    </form>
    <!--        if there is a class level error-->
    <th:block  th:if="${!#fields.hasErrors('loginForm.password') && ! #fields.hasErrors('loginForm.username') && #fields.hasErrors('${loginForm.*}')}" >
        <!--            print the error-->
        <div class="row justify-content-center mx-md-n9">
            <div class="alert alert-warning " >
                <span  th:errors="*{loginForm}" > </span>
            </div>
        </div>
    </th:block>
</div>
</body>
</html>